Page MenuHomePhabricator

Moving a page over the redirect leaves an abandoned row in the revision table
Closed, ResolvedPublic

Description

when one moves a page some revision may gone away. exaple : https://en.wikipedia.org/wiki/WOLV

Details

Related Gerrit Patches:

Event Timeline

Matanya created this task.Jul 17 2015, 3:59 AM
Matanya raised the priority of this task from to Unbreak Now!.
Matanya updated the task description. (Show Details)
Matanya added a subscriber: Matanya.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2015, 3:59 AM
Matanya set Security to None.Jul 17 2015, 4:00 AM
Matanya added subscribers: Legoktm, Krinkle.
TTO added a subscriber: TTO.Jul 17 2015, 4:23 AM

Could you be more specific? There's no obvious inconsistency in the revision history of the WOLV page.

I think the issue here is that if you move a page over a redirect, the old redirect is gone forever, rather than being moved to the archive table.

Matanya added a subscriber: brion.Jul 17 2015, 4:46 AM

Change 225284 had a related patch set uploaded (by Brion VIBBER):
Fix old, old bug with moving over redirects

https://gerrit.wikimedia.org/r/225284

brion added a comment.Jul 17 2015, 5:12 AM

Ok, patch above *seems* to work but it's midnight and I had some tequila earlier, so please review carefully. ;)

Legoktm renamed this task from redirects and moves make revisions disapper to Moving a page over the redirect leaves an abandoned row in the revision table.Jul 19 2015, 4:22 PM
Legoktm assigned this task to brion.
Legoktm lowered the priority of this task from Unbreak Now! to Normal.

Lowered priority since this bug has been around since 2004 and probably isn't that huge of a deal.

brion removed brion as the assignee of this task.Sep 2 2015, 8:04 PM

Removing assignment from some tasks I'm not actively working on. Volunteers welcome, I'm happy to help if pinged!

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJun 12 2016, 7:53 PM
Krinkle removed a subscriber: Krinkle.Jul 29 2016, 8:11 PM

@brion: I don't know if it is already included, but I think it would be useful to have an own log_action for this situation.

Reedy added a subscriber: Reedy.Jul 30 2016, 12:21 PM

@brion: I don't know if it is already included, but I think it would be useful to have an own log_action for this situation.

Note this will produce a deletion log entry as well as a move log
entry. This may scare people.

I thought the implicit log action was intentional, similar to T42624: Rollback shouldn't patrol without log entry.

Qgil removed a subscriber: Qgil.Aug 8 2016, 8:22 AM

Change 225284 merged by jenkins-bot:
MovePage: Fix old, old bug with moving over redirects

https://gerrit.wikimedia.org/r/225284

Jdforrester-WMF closed this task as Resolved.Aug 19 2016, 7:31 PM
Jdforrester-WMF assigned this task to brion.
Akeron added a subscriber: Akeron.Aug 23 2016, 11:49 AM
Tgr added a subscriber: Tgr.

@brion: I don't know if it is already included, but I think it would be useful to have an own log_action for this situation.

Yeah that would be nice. Filed T145991.